<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::SceneManager Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1SceneManager.html">SceneManager</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classgg_1_1SceneManager-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::SceneManager Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SceneManager_8hpp_source.html">SceneManager.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ab3d4dd3eef97fcdd732ef1092f5bb225"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#ab3d4dd3eef97fcdd732ef1092f5bb225">SceneManager</a> ()=delete</td></tr>
<tr class="separator:ab3d4dd3eef97fcdd732ef1092f5bb225"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e0001ea2a90c81cfb37547ee0f67ff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#af7e0001ea2a90c81cfb37547ee0f67ff">~SceneManager</a> ()=delete</td></tr>
<tr class="separator:af7e0001ea2a90c81cfb37547ee0f67ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a19e50b107c00485bfb4295a74a2111ba"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#a19e50b107c00485bfb4295a74a2111ba">Init</a> ()</td></tr>
<tr class="separator:a19e50b107c00485bfb4295a74a2111ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a139c16f910b93062998904c24958cc1c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#a139c16f910b93062998904c24958cc1c">Destroy</a> ()</td></tr>
<tr class="separator:a139c16f910b93062998904c24958cc1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b0cc99803bd4e4d89cc5c6f9f830c26"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#a5b0cc99803bd4e4d89cc5c6f9f830c26">GetScene</a> (const <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a> &amp;) -&gt; <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td></tr>
<tr class="separator:a5b0cc99803bd4e4d89cc5c6f9f830c26"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa58d9c7b40c4b366093d85a9b3fe4c76"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#aa58d9c7b40c4b366093d85a9b3fe4c76">AddScene</a> (const <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a> &amp;, <a class="el" href="classgg_1_1Scene.html">Scene</a> *scene)</td></tr>
<tr class="separator:aa58d9c7b40c4b366093d85a9b3fe4c76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0358b3c268b513673eca1de8990a5094"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#a0358b3c268b513673eca1de8990a5094">SceneTypeToString</a> (<a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>) -&gt; const std::string</td></tr>
<tr class="separator:a0358b3c268b513673eca1de8990a5094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3727f01422988701752afde7ddb24931"><td class="memItemLeft" align="right" valign="top">static auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1SceneManager.html#a3727f01422988701752afde7ddb24931">StringToSceneType</a> (const std::string &amp;) -&gt; <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td></tr>
<tr class="separator:a3727f01422988701752afde7ddb24931"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab3d4dd3eef97fcdd732ef1092f5bb225" name="ab3d4dd3eef97fcdd732ef1092f5bb225"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3d4dd3eef97fcdd732ef1092f5bb225">&#9670;&nbsp;</a></span>SceneManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::SceneManager::SceneManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af7e0001ea2a90c81cfb37547ee0f67ff" name="af7e0001ea2a90c81cfb37547ee0f67ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7e0001ea2a90c81cfb37547ee0f67ff">&#9670;&nbsp;</a></span>~SceneManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::SceneManager::~SceneManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">delete</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa58d9c7b40c4b366093d85a9b3fe4c76" name="aa58d9c7b40c4b366093d85a9b3fe4c76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa58d9c7b40c4b366093d85a9b3fe4c76">&#9670;&nbsp;</a></span>AddScene()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::SceneManager::AddScene </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a> &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classgg_1_1Scene.html">Scene</a> *&#160;</td>
          <td class="paramname"><em>scene</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a139c16f910b93062998904c24958cc1c" name="a139c16f910b93062998904c24958cc1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a139c16f910b93062998904c24958cc1c">&#9670;&nbsp;</a></span>Destroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::SceneManager::Destroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b0cc99803bd4e4d89cc5c6f9f830c26" name="a5b0cc99803bd4e4d89cc5c6f9f830c26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b0cc99803bd4e4d89cc5c6f9f830c26">&#9670;&nbsp;</a></span>GetScene()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::SceneManager::GetScene </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="classgg_1_1Scene.html">Scene</a> *</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a19e50b107c00485bfb4295a74a2111ba" name="a19e50b107c00485bfb4295a74a2111ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19e50b107c00485bfb4295a74a2111ba">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void gg::SceneManager::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0358b3c268b513673eca1de8990a5094" name="a0358b3c268b513673eca1de8990a5094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0358b3c268b513673eca1de8990a5094">&#9670;&nbsp;</a></span>SceneTypeToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::SceneManager::SceneTypeToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  const std::string</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3727f01422988701752afde7ddb24931" name="a3727f01422988701752afde7ddb24931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3727f01422988701752afde7ddb24931">&#9670;&nbsp;</a></span>StringToSceneType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static auto gg::SceneManager::StringToSceneType </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt;  <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/resources/<a class="el" href="SceneManager_8hpp_source.html">SceneManager.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
